Metrics
Get time-series metrics grouped by query tags
Authorization
A service token or OAuth token must have at least one of the following access or scopes in order to use this API endpoint:
Service Token Accesses
read_branch, delete_branch, create_branch, connect_production_branch, connect_branch
OAuth Scopes
| Resource | Scopes |
|---|---|
| Organization | read_branches |
| Database | read_branches |
| Branch | read_branch |
GET
Get time-series metrics grouped by query tags
Authorizations
Path Parameters
Query Parameters
Metric names to retrieve. Pass as metrics[]=name (repeat for multiple), metrics=name, or a comma-separated list (metrics=name,other). Time range is period (for example 15m) or ISO 8601 from/to.
Available options:
avg_parallel_workers, avg_shard_queries, block_cache_hit_ratio, blocks_dirtied, blocks_hit, blocks_read, blocks_written, cpu_duration_millis, egress_bytes, egress_bytes_per_query, ingress_bytes, ingress_bytes_per_query, io_duration_millis, latency_max, latency_min, latency_p50, latency_p95, latency_p99, latency_p999, max_egress_bytes, max_ingress_bytes, max_shard_queries, queries, query_errors, rows_affected_per_query, rows_read, rows_read_per_query, rows_read_per_returned, rows_returned, rows_returned_per_query, rows_written, total_duration_millis, traffic_control_throttled, traffic_control_warnings Response
Returns time-series metrics grouped by query tags

